## HTTPClient
Interface HTTPClientModuleConstants

All Known Subinterfaces:
  HTTPClientModule

All Known Implementing Classes:
  AuthorizationModule, ContentEncodingModule, ContentMD5Module, CookieModule, DefaultModule, HTTPConnection, HTTPResponse, RedirectionModule, RetryModule, TransferEncodingModule

public interface HTTPClientModuleConstants

This interface defines the return codes that the handlers in modules may return.

Since:
  V0.3
See Also:
  `HTTPClientModule`

Field Summary
`static int` `REQ_CONTINUE` continue processing the request
`static int` `REQ_NEWCON_RST` using a new HTTPConnection, restart request processing
`static int` `REQ_NEWCON_SND` using a new HTTPConnection, send request immediately
`static int` `REQ_RESPONSE` response generated; go to phase 2
`static int` `REQ_RESTART` restart request processing with first module
`static int` `REQ_RETURN` response generated; return response immediately (no processing)
`static int` `REQ_SHORTCIRC` stop processing and send the request
`static int` `RSP_CONTINUE` continue processing response
`static int` `RSP_NEWCON_REQ` go to phase 1 using a new HTTPConnection
`static int` `RSP_NEWCON_SND` send request using a new HTTPConnection
`static int` `RSP_REQUEST` new request generated; go to phase 1
`static int` `RSP_RESTART` restart response processing with first module
`static int` `RSP_SEND` new request generated; send request immediately (no processing)
`static int` `RSP_SHORTCIRC` stop processing and return response

Field Detail

### REQ_CONTINUE

    public static final int REQ_CONTINUE

  continue processing the request

  See Also:
    Constant Field Values

### REQ_RESTART

    public static final int REQ_RESTART

  restart request processing with first module

  See Also:
    Constant Field Values

### REQ_SHORTCIRC

    public static final int REQ_SHORTCIRC

  stop processing and send the request

  See Also:
    Constant Field Values

### REQ_RESPONSE

    public static final int REQ_RESPONSE

  response generated; go to phase 2

  See Also:
    Constant Field Values

### REQ_RETURN

    public static final int REQ_RETURN

  response generated; return response immediately (no processing)

  See Also:
    Constant Field Values

### REQ_NEWCON_RST

    public static final int REQ_NEWCON_RST

  using a new HTTPConnection, restart request processing

  See Also:
    Constant Field Values

### REQ_NEWCON_SND

    public static final int REQ_NEWCON_SND

  using a new HTTPConnection, send request immediately

  See Also:
    Constant Field Values

### RSP_CONTINUE

    public static final int RSP_CONTINUE

  continue processing response

  See Also:
    Constant Field Values

### RSP_RESTART

    public static final int RSP_RESTART

  restart response processing with first module

  See Also:
    Constant Field Values

### RSP_SHORTCIRC

    public static final int RSP_SHORTCIRC

  stop processing and return response

  See Also:
    Constant Field Values

### RSP_REQUEST

    public static final int RSP_REQUEST

  new request generated; go to phase 1

  See Also:
    Constant Field Values

### RSP_SEND

    public static final int RSP_SEND

  new request generated; send request immediately (no processing)

  See Also:
    Constant Field Values

### RSP_NEWCON_REQ

    public static final int RSP_NEWCON_REQ

  go to phase 1 using a new HTTPConnection

  See Also:
    Constant Field Values

### RSP_NEWCON_SND

    public static final int RSP_NEWCON_SND

  send request using a new HTTPConnection

  See Also:
    Constant Field Values